<template>
  <footer id="main-footer">

    <div class="links-container">
      <div class="jpt-container">
        <div class="left">
          <LogoWithFramasoft></LogoWithFramasoft>
        </div>

        <div class="right">
          <img width="120" height="159" class="d-none d-sm-inline" :src="buildImgUrl('peertube-logo-background.svg')" alt="">

          <div class="d-flex flex-wrap link-blocks">
            <div>
              <a target="_blank" rel="noopener noreferrer" href="https://docs.joinpeertube.org/">{{ $gettext('Documentation') }}</a>
            </div>

            <div>
              <a target="_blank" rel="noopener noreferrer" href="https://framasoft.org/en/legals/">{{ $gettext('Legal notices') }}</a>
            </div>

            <div>
              <a target="_blank" rel="noopener noreferrer" href="https://framacolibri.org/c/peertube">{{ $gettext('Forum') }}</a>
            </div>

            <div>
              <a target="_blank" rel="noopener noreferrer" :href="buildPublicUrl('press-kit.zip')">{{ $gettext('Press kit') }}</a>
            </div>

            <div>
              <a target="_blank" rel="noopener noreferrer" href="https://contact.framasoft.org">{{ $gettext('Contact Framasoft') }}</a>
            </div>

            <div>
              <a target="_blank" rel="noopener noreferrer" href="https://support.joinpeertube.org">{{ $gettext('Donate') }}</a>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="credits-container">
      <div>
        <SafeHTML>
          {{
            $gettext(
              'Website developed by %{ by1 } and designed by %{ by2 }',
              {
                by1: '<a target="_blank" rel="noopener noreferrer" href="https://framasoft.org">Framasoft</a>',
                by2: '<a target="_blank" rel="noopener noreferrer" href="https://www.lacooperativedesinternets.fr/">La Coopérative des Internets</a>'
              },
              true
            )
          }}
        </SafeHTML>
      </div>

      <div>
        <SafeHTML>
          {{
            $gettext(
              'PeerTube mascot created by %{ by }',
              {
                by: '<a target="_blank" rel="noopener noreferrer" href="https://www.davidrevoy.com/">David Revoy</a>'
              },
              true
            )
          }}
        </SafeHTML>
      </div>

      <div>
        <SafeHTML>
          {{
            $gettext(
              '<em>PeerTube news!</em> content licensed under %{ under }',
              {
                under: '<a href="https://creativecommons.org/licenses/by-sa/4.0/" rel="noopener noreferrer" target="_blank">CC-BY-SA</a>'
              },
              true
            )
          }}
        </SafeHTML>
      </div>
    </div>
  </footer>
</template>

<script>
  import { defineComponent } from 'vue'
  import LogoWithFramasoft from './LogoWithFramasoft.vue'

  export default defineComponent({
    components: {
      LogoWithFramasoft
    }
  })
</script>

<style lang="scss" scoped>
  @import '../scss/_variables.scss';
  @import '../scss/_mixins.scss';
  @import '../scss/_bootstrap-mixins.scss';

  #main-footer {
    margin-top: 60px;

    .links-container {
      background: #FFF2E8;
      border: 1px solid #FCD7BD;
      padding: 50px;

      > .jpt-container {
        display: flex;
        justify-content: space-between;
        align-items: center;
      }

      .left {
        flex-shrink: 0;
        margin-inline-end: 1rem;
      }

      .right {
        max-width: 650px;
        display: flex;
        align-items: center;

        > img {
          margin-inline-end: 30px;
          width: 50px;
          height: auto;
        }

        .link-blocks {
          > div {
            min-width: 160px;
            margin: 10px;
          }
        }
      }

      @include media-breakpoint-down(lg) {
        > .jpt-container {
          flex-direction: column;
          align-items: flex-start;
        }

        .left {
          margin-inline-end: 0;
          margin-bottom: 1rem;
        }
      }

      @include media-breakpoint-down(sm) {
        .link-blocks div {
          margin-inline-start: 0 !important;
          margin-inline-end: 0 !important;
        }
      }
    }

    .credits-container {
      padding: 24px;
      background-color: #fff;
      text-align: center;
      font-size: 0.75rem;

      @include adapt-link-size-14px;
    }

  }
</style>
